Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKAlgorithmParameters

    java.lang.Object
      java.security.AlgorithmParametersSpi
          org.bouncycastle.jce.provider.JDKAlgorithmParameters

Direct Known Subclasses:
  CAST5.AlgParams, IDEA.AlgParams, JDKAlgorithmParameters.DH, JDKAlgorithmParameters.DSA, JDKAlgorithmParameters.ElGamal, JDKAlgorithmParameters.GOST3410, JDKAlgorithmParameters.IES, JDKAlgorithmParameters.IVAlgorithmParameters, JDKAlgorithmParameters.OAEP, JDKAlgorithmParameters.PBKDF2, JDKAlgorithmParameters.PKCS12PBE, JDKAlgorithmParameters.PSS, JDKAlgorithmParameters.RC2AlgorithmParameters, JDKECDSAAlgParameters.SigAlgParameters

    public abstract class JDKAlgorithmParameters

extends java.security.AlgorithmParametersSpi

Nested Class Summary
`static class` | `JDKAlgorithmParameters.DH`
`static class` | `JDKAlgorithmParameters.DSA`
`static class` | `JDKAlgorithmParameters.ElGamal`
`static class` | `JDKAlgorithmParameters.GOST3410`
`static class` | `JDKAlgorithmParameters.IES`
`static class` | `JDKAlgorithmParameters.IVAlgorithmParameters`
`static class` | `JDKAlgorithmParameters.OAEP`
`static class` | `JDKAlgorithmParameters.PBKDF2`
`static class` | `JDKAlgorithmParameters.PKCS12PBE`
`static class` | `JDKAlgorithmParameters.PSS`
`static class` | `JDKAlgorithmParameters.RC2AlgorithmParameters`

Constructor Summary
`JDKAlgorithmParameters()`

Method Summary
`protected java.security.spec.AlgorithmParameterSpec` | `engineGetParameterSpec(java.lang.Class paramSpec)`
`protected boolean` | `isASN1FormatString(java.lang.String format)`
`protected abstract java.security.spec.AlgorithmParameterSpec` | `localEngineGetParameterSpec(java.lang.Class paramSpec)`

Methods inherited from class java.security.AlgorithmParametersSpi
`engineGetEncoded, engineGetEncoded, engineInit, engineInit, engineInit, engineToString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKAlgorithmParameters

    public JDKAlgorithmParameters()

Method Detail

### isASN1FormatString

    protected boolean isASN1FormatString(java.lang.String format)

### engineGetParameterSpec

    protected java.security.spec.AlgorithmParameterSpec engineGetParameterSpec(java.lang.Class paramSpec)
                                                                        throws java.security.spec.InvalidParameterSpecException

  Specified by:
    `engineGetParameterSpec` in class `java.security.AlgorithmParametersSpi`
  Throws:
    `java.security.spec.InvalidParameterSpecException`

### localEngineGetParameterSpec

    protected abstract java.security.spec.AlgorithmParameterSpec localEngineGetParameterSpec(java.lang.Class paramSpec)
                                                                                      throws java.security.spec.InvalidParameterSpecException

  Throws:
    `java.security.spec.InvalidParameterSpecException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD